Commit 80acbaee authored by Natanael Copa's avatar Natanael Copa

move testing/ruby-* to unmaintained

ruby-mime-types and ruby-nokogiri was there already so remove those
parent 5db5ee5c
# Contributor: Francesco Colista <fcolista@alpinelinux.org>
# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
_gemname=mime-types
pkgname=ruby-$_gemname
pkgver=2.6.1
pkgrel=0
pkgdesc="The mime-types library provides a library and registry for information about MIME content type definitions"
arch="noarch"
url="https://github.com/mime-types/ruby-mime-types/"
license="MIT 'Artistic 2.0' GPL2"
depends="ruby"
depends_dev=
makedepends="$depends_dev"
source="https://rubygems.org/downloads/$_gemname-$pkgver.gem"
_builddir="$srcdir"/$_gemname-$pkgver
build() {
mkdir -p "$_builddir" || return 1
local _gemdir="$(ruby -rubygems -e'puts Gem.default_dir')"
gem install $_gemname -v $pkgver -i "$_builddir"$_gemdir \
--ignore-dependencies \
--verbose \
--no-rdoc \
--no-ri \
|| return 1
rm -rf "$pkgdir"/$_gemdir/cache \
"$pkgdir"/$_geminstdir/ext \
"$pkgdir"/$_geminstdir/.require_paths
}
package() {
mkdir -p "$pkgdir" || return 1
cp -ra "$_builddir"/* "$pkgdir"/ || return 1
}
md5sums="c6eb79803c29ce8be408f18df5bf361c mime-types-2.6.1.gem"
sha256sums="5b16d655397aa5cd8b4108494f60f64b4e18a2c92dc9257ff74ec64284dbd9ee mime-types-2.6.1.gem"
sha512sums="1986dfa92126f8f8dfdd5ee220f9a1220b844e1c73b95378c3f3801fe793f5799065a77d23a82d8fabcef82b9d179b0b56017f2952064fa019a418d0de55e9fe mime-types-2.6.1.gem"
# Contributor: Francesco Colista <fcolista@alpinelinux.org>
# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
_gemname=nokogiri
pkgname=ruby-$_gemname
pkgver=1.6.7.2
pkgrel=0
pkgdesc="Nokogiri (鋸) is an HTML, XML, SAX, and Reader parser"
arch="all"
url="http://nokogiri.org"
license="MIT"
depends="ruby"
depends_dev="ruby-dev libxml2-dev libxslt-dev zlib-dev xz-dev"
makedepends="$depends_dev ruby-mini_portile2"
source="https://rubygems.org/downloads/$_gemname-$pkgver.gem"
builddir="$srcdir"/$_gemname-$pkgver
build() {
mkdir -p "$builddir" || return 1
export _gemdir="$(ruby -rubygems -e'puts Gem.default_dir')"
gem install \
--no-ri \
--no-rdoc \
$_gemname -v $pkgver -i "$builddir"$_gemdir -- \
--use-system-libraries \
--ignore-dependencies \
--verbose \
|| return 1
rm -rf "$pkgdir"/$_gemdir/cache \
"$pkgdir"/$_geminstdir/ext \
"$pkgdir"/$_geminstdir/.require_paths
}
package() {
mkdir -p "$pkgdir" || return 1
cp -ra "$builddir"/* "$pkgdir"/ || return 1
}
md5sums="3e2169ebd67863a8a992289e2a887366 nokogiri-1.6.7.2.gem"
sha256sums="fb6afc0faec72b82eeccc84b5d11211aa6c4a81898a433b499ca7a60fcad4b87 nokogiri-1.6.7.2.gem"
sha512sums="27f72763f4f572b9a7042b48bd3a7a7516773eda128be603b8316e8ecaef42028f3d3a190947011cc6973fa4a43265a56f4b563bf28a8b2739b470cc19cee6cd nokogiri-1.6.7.2.gem"
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment